下载附件
curl --request GET \
--url https://api.devin.ai/v1/attachments/{uuid}/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v1/attachments/{uuid}/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v1/attachments/{uuid}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}会话端点
下载附件
下载先前上传的附件文件。返回一个重定向到预签名 URL,以安全访问文件。
GET
/
v1
/
attachments
/
{uuid}
/
{name}
下载附件
此端点允许你从 Devin 会话中下载文件。若要上传资源,请使用上传端点。
该端点返回一个 307 重定向到预签名 URL,为文件提供临时访问权限。预签名 URL 的有效期为 60 秒。
使用示例
import requests
# 下载附件
response = requests.get(
f"https://api.devin.ai/v1/attachments/{uuid}/{filename}",
headers={"Authorization": f"Bearer {DEVIN_API_KEY}"},
allow_redirects=True
)
# 保存文件内容
with open(filename, "wb") as f:
f.write(response.content)
⌘I

